<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

// Incluye las librerías de PHPMailer
require 'PHPMailer/src/Exception.php';
require 'PHPMailer/src/PHPMailer.php';
require 'PHPMailer/src/SMTP.php';

// Conexión a la base de datos
include("conexion.php");

if (!$conn) {
    die("Error de conexión: " . $conn->errorInfo()[2]);
}

// Verificación de datos del formulario
if (empty($_POST['nombreCompleto']) || empty($_POST['telefono']) || empty($_POST['correoElectronico']) || empty($_POST['contrasena'])) {
    die("Todos los campos son obligatorios.");
}

$nombreCompleto = $_POST['nombreCompleto'];
$telefono = $_POST['telefono'];
$correoElectronico = $_POST['correoElectronico'];
$contrasenaHashed = password_hash($_POST['contrasena'], PASSWORD_DEFAULT);

// Verificar si el correo ya está registrado
try {
    $query = "SELECT correo FROM usuarios WHERE correo = :correo";
    $stmt = $conn->prepare($query);
    $stmt->bindParam(':correo', $correoElectronico, PDO::PARAM_STR);
    $stmt->execute();

    if ($stmt->rowCount() > 0) {
        header("Location: RegistrarUsuario.php?register=El correo ya está registrado");
        exit();
    }
} catch (PDOException $e) {
    die("Error al verificar el correo: " . $e->getMessage());
}

// Inicialización de valores
$Correo_Verificado = 0;
$Telefono_Verificado = 0;
$Cod_Verificacion_Correo = str_pad(mt_rand(0, 999999), 6, '0', STR_PAD_LEFT);
$Cod_Verificacion_Telefono = str_pad(mt_rand(0, 999999), 6, '0', STR_PAD_LEFT);

// Uso de sentencias preparadas para insertar datos
try {
    $sql = "INSERT INTO usuarios (nombre_completo, telefono, correo, contrasena, Cod_Verificacion_Correo, Correo_Verificado, Cod_Verificacion_Telefono, Telefono_Verificado) 
            VALUES (:nombre_completo, :telefono, :correo, :contrasena, :cod_verificacion_correo, :correo_verificado, :cod_verificacion_telefono, :telefono_verificado)";
    $stmt = $conn->prepare($sql);
    $stmt->bindParam(':nombre_completo', $nombreCompleto, PDO::PARAM_STR);
    $stmt->bindParam(':telefono', $telefono, PDO::PARAM_STR);
    $stmt->bindParam(':correo', $correoElectronico, PDO::PARAM_STR);
    $stmt->bindParam(':contrasena', $contrasenaHashed, PDO::PARAM_STR);
    $stmt->bindParam(':cod_verificacion_correo', $Cod_Verificacion_Correo, PDO::PARAM_STR);
    $stmt->bindParam(':correo_verificado', $Correo_Verificado, PDO::PARAM_INT);
    $stmt->bindParam(':cod_verificacion_telefono', $Cod_Verificacion_Telefono, PDO::PARAM_STR);
    $stmt->bindParam(':telefono_verificado', $Telefono_Verificado, PDO::PARAM_INT);

    $stmt->execute();

    // Enviar correo electrónico con PHPMailer
    $mail = new PHPMailer(true);
    $mail->isSMTP();
    $mail->Host = 'mail.appunitecnica.com';
    $mail->SMTPAuth = true;
    $mail->Username = 'cacastano@appunitecnica.com'; // Usa variable de entorno
    $mail->Password = 'Uni2024*'; // Usa variable de entorno
    $mail->SMTPSecure = PHPMailer::ENCRYPTION_SMTPS;
    $mail->Port = 465;

    $mail->setFrom('cacastano@appunitecnica.com', 'Pepito Perez');
    $mail->addAddress($correoElectronico, $nombreCompleto);

    $mail->isHTML(true);
    $mail->Subject = 'Bienvenido a la Plataforma';
    $mail->Body = '<strong>Bienvenido a Quiztudio</strong><br><br>' .
                  'Esta plataforma está hecha para que usted pueda explorar las carreras profesionales ofrecidas ' .
                  'por tal motivo requerimos que sea validado su correo electrónico y después su teléfono.<br><br>' .
                  '<h2>Código de Validación: <strong>' . $Cod_Verificacion_Correo . '</strong></h2>.<br><br>' .
                  'También puede dar clic en el siguiente enlace para verificar:<br><br>' .
                  '<a href="https://appunitecnica.com/jflopezc/quiztudio/verificacion_correo.php?correo=' . $correoElectronico . '&Cod_Verificacion_Correo=' . $Cod_Verificacion_Correo . '">Clic Aquí</a>';

    $mail->send();
     // Enviar SMS
     $curl = curl_init();
     curl_setopt_array($curl, [
         CURLOPT_URL => "https://api103.hablame.co/api/sms/v3/send/marketing",
         CURLOPT_RETURNTRANSFER => true,
         CURLOPT_ENCODING => "",
         CURLOPT_MAXREDIRS => 10,
         CURLOPT_TIMEOUT => 30,
         CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
         CURLOPT_CUSTOMREQUEST => "POST",
         CURLOPT_POSTFIELDS => json_encode([
             'toNumber' => '57' . $telefono,
             'sms' => 'Saludo: ' . $nombreCompleto . ', su código de validación es: ' . $Cod_Verificacion_Telefono,
             'flash' => '0',
             'sc' => '890202',
             'request_dlvr_rcpt' => '0',
             'sendDate' => date('c')
         ]),
         CURLOPT_HTTPHEADER => [
             "Accept: application/json",
             "Account: 10014546",
             "ApiKey: d6UeQiwJy6e6C4o6VMuhEaDi0oCzZZ",
             "Content-Type: application/json",
             "Token: b1cd03e0e3a047b69972cf2c851d117c"
         ],
     ]);

     $response = curl_exec($curl);
     $err = curl_error($curl);
     curl_close($curl);
     
    // Redirigir a la página de verificación
    header("Location: verificacion_correo.php?correo=$correoElectronico&Cod_Verificacion_Correo=$Cod_Verificacion_Correo");
    exit();
} catch (Exception $e) {
    echo "Error: " . $e->getMessage();
} catch (PDOException $e) {
    echo "Error en la base de datos: " . $e->getMessage();
}

// Cerrar la conexión
$conn = null;
