<?php
// Iniciar la sesión
session_start();

// Incluir la conexión a la base de datos
include 'conexion.php';


// Obtener el nombre del usuario desde la base de datos si está logeado
$nombreUsuario = "";
if (!isset($_SESSION['correo'])) 
{
    header("Location: login.php?error=Inicia sesión para acceder a esta página");
}
   

// Cerrar la conexión
$conn = null;
?>

<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Quiztudio - Inicio</title>
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">
    <style>
        /* Estilos generales */
        body, html {
            margin: 0;
            padding: 0;
            height: 100vh;
            font-family: 'Roboto', sans-serif;
            display: flex;
            flex-direction: column;
            background-color: rgb(130, 165, 235);
            color: #333;
        }

        header {
            background-color: rgb(130, 165, 235);
            color: white;
            width: 100%;
            padding: 20px 0;
            text-align: center;
            box-sizing: border-box;
        }

        .logo {
            margin: 0;
            font-size: 2.5rem;
            font-weight: 700;
            background: linear-gradient(90deg, #ff8a00, #e52e71);
            -webkit-background-clip: text;
            -webkit-text-fill-color: transparent;
            text-shadow: 0 0 10px rgba(255, 255, 255, 0.5);
            animation: glow 2s ease-in-out infinite alternate;
        }

        @keyframes glow {
            0% { text-shadow: 0 0 10px rgba(255, 255, 255, 0.5), 0 0 20px rgba(255, 138, 0, 0.5); }
            100% { text-shadow: 0 0 20px rgba(255, 255, 255, 0.8), 0 0 30px rgba(229, 46, 113, 0.8); }
        }

        .nav-links {
            display: flex;
            justify-content: center;
            align-items: center;
            gap: 20px;
            margin-top: 10px;
        }

        .nav-links a {
            text-decoration: none;
            background-color: rgb(248, 104, 20);
            color: #fff;
            padding: 8px 15px;
            border-radius: 5px;
            font-size: 1rem;
            font-weight: bold;
            transition: background-color 0.3s ease, transform 0.2s ease;
            border: 3px solid #fff;
        }

        .nav-links a:hover {
            background-color: #fff;
            color: #1976d2;
            transform: scale(1.05);
        }

        .social-links, .uni-links {
            display: flex;
            gap: 10px;
        }

        .social-links a, .uni-links a {
            color: rgb(130, 165, 235);
            background-color: #fff;
            border: 2px solid #fff;
            border-radius: 50%;
            width: 35px;
            height: 35px;
            display: flex;
            justify-content: center;
            align-items: center;
            font-size: 1.2rem;
            transition: background-color 0.3s ease, color 0.3s ease, transform 0.2s ease;
        }

        .social-links a:hover, .uni-links a:hover {
            background-color: rgb(248, 104, 20);
            color: #fff;
            transform: scale(1.1);
        }

        .logo-container {
            display: flex;
            justify-content: center;
            align-items: center;
            margin-bottom: 20px;
        }

        .logo-container img {
            max-width: 300px;
            max-height: 300px;
        }

        .content-wrapper {
            background: rgb(130, 165, 235);
            border: 3px solid #fff;
            border-radius: 10px;
            padding: 20px;
            width: 60%;
            max-width: 600px;
            margin: 0 auto 20px auto;
            text-align: center;
            box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.2);
        }

        main {
            width: 100%;
            flex-grow: 1;
            display: flex;
            flex-direction: column;
            align-items: center;
        }
                /* Título principal */
        .main-title {
            font-size: 3rem;
            font-weight: bold;
            color: #ff6600; /* Naranja */
            text-shadow: 0 2px 4px rgba(255, 255, 255, 0.8), 0 0 10px rgba(255, 102, 0, 0.8);
            margin-bottom: 5px;
        }

        .welcome-message {
            font-size: 1.2rem;
            margin-bottom: 20px;
            color: #fff;
            background-color: rgb(248, 104, 20);
            padding: 10px;
            border-radius: 5px;
            font-weight: bold;
            width: 80%;
            box-sizing: border-box;
            border: 3px solid #fff;
        }

        .container {
            background: rgba(255, 255, 255, 0.2);
            padding: 20px;
            margin-bottom: 20px;
            border-radius: 10px;
            border: 3px solid #fff;
            box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.2);
            transition: transform 0.3s ease;
            width: 80%;
            box-sizing: border-box;
            display: flex;
            align-items: center;
            gap: 15px;
        }

        .container:hover {
            transform: scale(1.05);
        }

        .container i {
            font-size: 1.5rem;
            color: rgb(255, 255, 255);
        }

        .container h2 {
            margin: 0;
            font-size: 1.5rem;
            color: rgb(255, 255, 255);
            cursor: pointer;
            flex-grow: 1;
            text-align: center;
        }

        .container h2:hover {
            color: rgb(248, 104, 20);
            border: 3px solid #fff;
        }

        footer {
            background-color: rgb(130, 165, 235);
            color: white;
            text-align: center;
            padding: 10px 0;
            width: 100%;
            border-top: 3px solid #fff;
            box-sizing: border-box;
        }

        .slogan {
            font-size: 1.2rem;
            color: white;
            font-weight: bold;
        }

        @media (max-width: 768px) {
            .logo { font-size: 2rem; }
            .nav-links { flex-direction: column; gap: 10px; }
            .nav-links a { width: 200px; margin: 0 auto; }
            .social-links, .uni-links { flex-direction: row; gap: 5px; }
            .social-links a, .uni-links a { width: 30px; height: 30px; font-size: 1rem; }
            .logo-container img { max-width: 200px; max-height: 200px; }
            .content-wrapper { width: 90%; padding: 15px; background-color: rgb(211, 130, 235); }
            .welcome-message { font-size: 1rem; }
            .container { padding: 10px; }
        }
    </style>
</head>

<body>
    <header>
        <h1 class="main-title">💭Quiztudio🎓</h1>
        <p class="slogan">📚Aprende jugando📝</p>  
        <div class="nav-links">
            <div class="uni-links">
                <a href="https://unitecnica.app/" target="_blank" aria-label="Visita Unitecnica App">
                    <i class="fas fa-graduation-cap"></i>
                </a>
                <a href="https://unitecnica.net/" target="_blank" aria-label="Visita Unitecnica Net">
                    <i class="fas fa-university"></i>
                </a>
            </div>
            <a href="index.php">Inicio</a>
            <a href="RegistrarUsuario.php">Registrar Usuario</a>
            <a href="cerrar_sesion.php">Cerrar Sesión</a>
            <div class="social-links">
                <a href="https://www.facebook.com/profile.php?id=61574616325247" target="_blank" aria-label="Facebook">
                    <i class="fab fa-facebook"></i>
                </a>
                <a href="https://www.instagram.com/quiztudio/" target="_blank" aria-label="Instagram">
                    <i class="fab fa-instagram"></i>
                </a>
            </div>
        </div>
    </header>

    <div class="content-wrapper">
        <div class="logo-container">
            <img src="logo.JPG" alt="Logo de Quiztudio">
        </div>
        
        <main>
            <div class="welcome-message">
                🤓Bienvenido a Quiztudio, selecciona una trivia🤓
            </div>

            <div class="container">
                <i class="fas fa-robot"></i>
                <h2 onclick="window.location.href='trivia_sistemas.php'">Trivia Sistemas IA</h2>
            </div>

            <div class="container">
                <i class="fas fa-paint-brush"></i>
                <h2 onclick="window.location.href='trivia_diseno.php'">Trivia Diseño Gráfico Digital</h2>
            </div>

            <div class="container">
                <i class="fas fa-gamepad"></i>
                <h2 onclick="window.location.href='trivia_animacion.php'">Trivia Animación 3D y Videojuegos</h2>
            </div>
        </main>
    </div>

    <footer>
        © 2025 Quiztudio. Todos los derechos reservados.
    </footer>
</body>
</html>