<?php
session_start();

// Conexión a la base de datos
include("conexion.php");

// Procesar el formulario
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $Cod_Verificacion_Telefono = $_POST['Cod_Verificacion_Telefono'];
    $correo = $_POST['correo'];

    try {
        // Consulta para verificar el código de verificación del teléfono
        $sql = "SELECT * FROM usuarios WHERE correo = :correo AND Cod_Verificacion_Telefono = :codigo";
        $stmt = $conn->prepare($sql);
        $stmt->bindParam(':correo', $correo, PDO::PARAM_STR);
        $stmt->bindParam(':codigo', $Cod_Verificacion_Telefono, PDO::PARAM_STR);
        $stmt->execute();

        if ($stmt->rowCount() > 0) {
            $row = $stmt->fetch(PDO::FETCH_ASSOC);

            // Actualizar el estado del teléfono como verificado
            $Actualizar_Telefono_Verificado = "UPDATE usuarios SET Telefono_Verificado = 1 WHERE correo = :correo";
            $stmtUpdate = $conn->prepare($Actualizar_Telefono_Verificado);
            $stmtUpdate->bindParam(':correo', $row["correo"], PDO::PARAM_STR);

            if ($stmtUpdate->execute()) {
                // Redirigir a la página principal después de verificar el teléfono
                header("Location: pagina_principal.php?mensaje=Telefono Validado");
                exit();
            } else {
                echo "Error al actualizar el estado del teléfono.";
            }
        } else {
            echo "Código de verificación incorrecto o ya validado.";
        }
    } catch (PDOException $e) {
        echo "Error: " . $e->getMessage();
    }
}
?>
